PGPAuthentication (Mule ESB 2.2.1 API)
Keywords: org.mule.module.pgp.PGPAuthentication class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.pgp
Class PGPAuthentication

    java.lang.Object
      org.mule.module.pgp.PGPAuthentication

All Implemented Interfaces:
  Authentication

    public class PGPAuthentication

extends Object
implements Authentication

Constructor Summary
`PGPAuthentication(String userName, cryptix.message.Message message)`

Method Summary
`Object` | `getCredentials()`
`Object` | `getDetails()`
`Object` | `getPrincipal()`
`Map` | `getProperties()`
`boolean` | `isAuthenticated()`
`void` | `setAuthenticated(boolean b)`
`protected void` | `setDetails(cryptix.pki.KeyBundle kb)`
`void` | `setProperties(Map securityMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPAuthentication

    public PGPAuthentication(String userName,
                             cryptix.message.Message message)

Method Detail

### setAuthenticated

    public void setAuthenticated(boolean b)

  Specified by:
    `setAuthenticated` in interface `Authentication`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `Authentication`

### getCredentials

    public Object getCredentials()

  Specified by:
    `getCredentials` in interface `Authentication`

### getDetails

    public Object getDetails()

### setDetails

    protected void setDetails(cryptix.pki.KeyBundle kb)

### getPrincipal

    public Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `Authentication`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `Authentication`

### setProperties

    public void setProperties(Map securityMode)

  Specified by:
    `setProperties` in interface `Authentication`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.